From db3a111683e96b1f6b87e7026a800e82dfe1e1a7 Mon Sep 17 00:00:00 2001
From: Aleksander Alekseev <aleksander@timescale.com>
Date: Thu, 30 May 2024 13:18:55 +0300
Subject: [PATCH v1 1/2] Meson is not experimental on Windows

---
 doc/src/sgml/installation.sgml | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 1b32d5ca62..695ff4f41e 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -55,9 +55,11 @@
       </indexterm>
 
       Alternatively, <productname>PostgreSQL</productname> can be built using
-      <ulink url="https://mesonbuild.com/">Meson</ulink>.  This is currently
-      experimental.  If you choose to use
-      <application>Meson</application>, then you don't need
+      <ulink url="https://mesonbuild.com/">Meson</ulink>. This is the only
+      option for building <productname>PostgreSQL</productname> on Windows
+      using <productname>Visual Studio</productname>. For other platforms,
+      using <application>Meson</application> is currently experimental.
+      If you choose to use <application>Meson</application>, then you don't need
       <acronym>GNU</acronym> <application>make</application>, but the other
       requirements below still apply.
      </para>
-- 
2.45.0

